System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

The class is not meant to be instantiated in your own code. Use the static and methods to populate objects, and then use the properties of the objects to obtain information about the processes.

The and methods can be used only with Microsoft Internet Information Services (IIS) version 5.0 on Microsoft Windows 2000 and Windows XP or with IIS 6.0 on Windows Server 2003 and using IIS 5.0 isolation mode. For more information, see How to: Configure ASP.NET Applications for an ASP.NET Version.

Contains methods that return information about worker processes.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Web.ProcessInfo

  The method is applicable only for applications that are running under the ASP.NET process model.

  Returns information about the worker process that is executing the current request.

  A that contains information about the current process.

  1.0.5000.0
  2.0.0.0
- Method
  System.Web.ProcessInfo[] ``

  The method is applicable only for applications that are running under the ASP.NET process model.

  Returns information about recent worker processes.

  An array of the most recent objects (up to 100); otherwise, if the number of available objects is less than , all available objects.

  The number of processes for which information is requested. 1.0.5000.0 2.0.0.0